Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » BIRT » Does BIRT Work with Eclipse 3.4.2?
Does BIRT Work with Eclipse 3.4.2? [message #549377] Mon, 26 July 2010 14:33 Go to next message
Joe Morgan is currently offline Joe Morgan
Messages: 9
Registered: February 2010
Junior Member
We have decided to start using BIRT within our Eclipse, and are going through the first newbie tutorial, trying to get the simplest of reports to work. The sample DB example didn't seem to work, set we're trying against a simple table on a locally installed MySQL DB.

Just as in the tutorial, we create a new blank report and basically leave everything to the defaults (we're now scared to rename anything at all). We create a new JDBC data source, set it up, and test the connection. The connection is successful.

Then we create a data set on a simple, 3 column table, just as a select * from tablename. We preview that, and we see data.

We then add a table to the blank report, tell it to have 3 columns, and associate it with our data set.

Then we drag the columns from the data set within the data explorer into the report, just as in the tutorial.

We preview... NOTHING.

We've tried multiple drivers, etc. NOTHING. W'eve tried changing the select to use explicit columns rather than "select *..."... NOTHING.

We've checked the preview preferences unde Window->Preferences... and everything seems normal, to list 500 rows... we only have 3 in this stupid table... NOTHING.

What are we missing here???


Re: Does BIRT Work with Eclipse 3.4.2? [message #549424 is a reply to message #549377] Mon, 26 July 2010 15:08 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Joe,

What version of BIRT are you using?

Jason

On 7/26/2010 10:33 AM, Joe Morgan wrote:
> We have decided to start using BIRT within our Eclipse, and are going
> through the first newbie tutorial, trying to get the simplest of reports
> to work. The sample DB example didn't seem to work, set we're trying
> against a simple table on a locally installed MySQL DB.
>
> Just as in the tutorial, we create a new blank report and basically
> leave everything to the defaults (we're now scared to rename anything at
> all). We create a new JDBC data source, set it up, and test the
> connection. The connection is successful.
>
> Then we create a data set on a simple, 3 column table, just as a select
> * from tablename. We preview that, and we see data.
>
> We then add a table to the blank report, tell it to have 3 columns, and
> associate it with our data set.
>
> Then we drag the columns from the data set within the data explorer into
> the report, just as in the tutorial.
>
> We preview... NOTHING.
> We've tried multiple drivers, etc. NOTHING. W'eve tried changing the
> select to use explicit columns rather than "select *..."... NOTHING.
> We've checked the preview preferences unde Window->Preferences... and
> everything seems normal, to list 500 rows... we only have 3 in this
> stupid table... NOTHING.
>
> What are we missing here???
>
>
>
Re: Does BIRT Work with Eclipse 3.4.2? [message #549443 is a reply to message #549424] Mon, 26 July 2010 16:02 Go to previous messageGo to next message
Joe Morgan is currently offline Joe Morgan
Messages: 9
Registered: February 2010
Junior Member
2.3.2 is the plugin version within Eclipse
Re: Does BIRT Work with Eclipse 3.4.2? [message #549464 is a reply to message #549443] Mon, 26 July 2010 17:19 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Joe,

This should be working. As a test could you download the allinone for
BIRT 2.3.2 and try it?
http://www.eclipse.org/downloads/download.php?file=/birt/dow nloads/drops/R-R1-2_3_2_2-200906011507/birt-report-designer- all-in-one-2_3_2_2.zip

Jason

On 7/26/2010 12:02 PM, Joe Morgan wrote:
> 2.3.2 is the plugin version within Eclipse
Re: Does BIRT Work with Eclipse 3.4.2? [message #549646 is a reply to message #549464] Tue, 27 July 2010 13:07 Go to previous messageGo to next message
Joe Morgan is currently offline Joe Morgan
Messages: 9
Registered: February 2010
Junior Member
Yes.. that works... Now I wonder if it is safe to move the BIRT libs over to my other Eclipse environment.

That is, something must be corrupt in our normal development environment...I guess I can't ruin it!
Re: Does BIRT Work with Eclipse 3.4.2? [message #549669 is a reply to message #549377] Tue, 27 July 2010 13:44 Go to previous messageGo to next message
Colin Sutton is currently offline Colin Sutton
Messages: 69
Registered: July 2009
Member
Joe Morgan wrote:
[...]
> We preview... NOTHING.
> We've tried multiple drivers, etc. NOTHING. W'eve tried changing the
> select to use explicit columns rather than "select *..."... NOTHING.
> We've checked the preview preferences unde Window->Preferences... and
> everything seems normal, to list 500 rows... we only have 3 in this
> stupid table... NOTHING.
>
> What are we missing here???

Which platform is your eclipse on?
Neither Eclipse Ganymede with 2.3.2 nor Galileo with 2.5.1 have a preview on Mac OS X.
On the second attempt to preview the report opens in Safari.

Colin
Re: Does BIRT Work with Eclipse 3.4.2? [message #549681 is a reply to message #549646] Tue, 27 July 2010 14:21 Go to previous messageGo to next message
Jason Weathersby is currently offline Jason Weathersby
Messages: 9167
Registered: July 2009
Senior Member

Joe,

You should be able to download the framework download and extract into
your current environment. Just make a copy of the current environment
and give it a try.

Jason

On 7/27/2010 9:07 AM, Joe Morgan wrote:
> Yes.. that works... Now I wonder if it is safe to move the BIRT libs
> over to my other Eclipse environment.
> That is, something must be corrupt in our normal development
> environment...I guess I can't ruin it!
Re: Does BIRT Work with Eclipse 3.4.2? [message #549729 is a reply to message #549669] Tue, 27 July 2010 18:03 Go to previous message
Joe Morgan is currently offline Joe Morgan
Messages: 9
Registered: February 2010
Junior Member
I have 2... both are on Vista, but one is Galileo with BIRT 2.5.2, and the other is Ganymede with BIRT 2.3.2. Ganymede with Birt 2.3.2 is the one not working.

Interesting enough, the stand-alone BIRT Jason suggested I use is Ganymede with BIRT 2.3.2... and it is working.

So, I've convinced I've somehow corrupted my normal Eclipse dev environment somehow.

Previous Topic:Birt et metadata pentaho
Next Topic:problems with installation of birt rcp report designer
Goto Forum:
  


Current Time: Sun Sep 21 12:18:04 GMT 2014

Powered by FUDForum. Page generated in 0.01833 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software